Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Namespaces | Functions | Variables
vulkan_extensions.h File Reference
`#include "vulkan_internal.h"`

Go to the source code of this file.

## Namespaces
namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Runtime
namespace | Halide::Runtime::Internal
namespace | Halide::Runtime::Internal::Vulkan

## Functions
WEAK void | halide_vulkan_set_layer_names (const char *n)
WEAK const char * | halide_vulkan_get_layer_names (void *user_context)
WEAK void | halide_vulkan_set_extension_names (const char *n)
WEAK const char * | halide_vulkan_get_extension_names (void *user_context)
WEAK void | halide_vulkan_set_device_type (const char *n)
WEAK const char * | halide_vulkan_get_device_type (void *user_context)
WEAK void | halide_vulkan_set_build_options (const char *n)
WEAK const char * | halide_vulkan_get_build_options (void *user_context)
WEAK void | halide_vulkan_set_alloc_config (const char *n)
WEAK const char * | halide_vulkan_get_alloc_config (void *user_context)

## Variables
WEAK char | Halide::Runtime::Internal::Vulkan::layer_names [1024]
WEAK ScopedSpinLock::AtomicFlag | Halide::Runtime::Internal::Vulkan::layer_names_lock = 0
WEAK bool | Halide::Runtime::Internal::Vulkan::layer_names_initialized = false
WEAK char | Halide::Runtime::Internal::Vulkan::extension_names [1024]
WEAK ScopedSpinLock::AtomicFlag | Halide::Runtime::Internal::Vulkan::extension_names_lock = 0
WEAK bool | Halide::Runtime::Internal::Vulkan::extension_names_initialized = false
WEAK char | Halide::Runtime::Internal::Vulkan::device_type [256]
WEAK ScopedSpinLock::AtomicFlag | Halide::Runtime::Internal::Vulkan::device_type_lock = 0
WEAK bool | Halide::Runtime::Internal::Vulkan::device_type_initialized = false
WEAK char | Halide::Runtime::Internal::Vulkan::build_options [1024]
WEAK ScopedSpinLock::AtomicFlag | Halide::Runtime::Internal::Vulkan::build_options_lock = 0
WEAK bool | Halide::Runtime::Internal::Vulkan::build_options_initialized = false
WEAK char | Halide::Runtime::Internal::Vulkan::alloc_config [1024]
WEAK ScopedSpinLock::AtomicFlag | Halide::Runtime::Internal::Vulkan::alloc_config_lock = 0
WEAK bool | Halide::Runtime::Internal::Vulkan::alloc_config_initialized = false

## Function Documentation

## ◆ halide_vulkan_set_layer_names()

WEAK void halide_vulkan_set_layer_names | ( | const char * | n | ) |

Definition at line 286 of file vulkan_extensions.h.

References Halide::Runtime::Internal::Vulkan::layer_names_lock.

## ◆ halide_vulkan_get_layer_names()

WEAK const char * halide_vulkan_get_layer_names | ( | void * | user_context | ) |

Definition at line 291 of file vulkan_extensions.h.

References Halide::Runtime::Internal::Vulkan::layer_names_lock, and user_context.

## ◆ halide_vulkan_set_extension_names()

WEAK void halide_vulkan_set_extension_names | ( | const char * | n | ) |

Definition at line 296 of file vulkan_extensions.h.

References Halide::Runtime::Internal::Vulkan::extension_names_lock.

## ◆ halide_vulkan_get_extension_names()

WEAK const char * halide_vulkan_get_extension_names | ( | void * | user_context | ) |

Definition at line 301 of file vulkan_extensions.h.

References Halide::Runtime::Internal::Vulkan::extension_names_lock, and user_context.

## ◆ halide_vulkan_set_device_type()

WEAK void halide_vulkan_set_device_type | ( | const char * | n | ) |

Definition at line 306 of file vulkan_extensions.h.

References Halide::Runtime::Internal::Vulkan::device_type_lock.

## ◆ halide_vulkan_get_device_type()

WEAK const char * halide_vulkan_get_device_type | ( | void * | user_context | ) |

Definition at line 311 of file vulkan_extensions.h.

References Halide::Runtime::Internal::Vulkan::device_type_lock, and user_context.

## ◆ halide_vulkan_set_build_options()

WEAK void halide_vulkan_set_build_options | ( | const char * | n | ) |

Definition at line 316 of file vulkan_extensions.h.

References Halide::Runtime::Internal::Vulkan::build_options_lock.

## ◆ halide_vulkan_get_build_options()

WEAK const char * halide_vulkan_get_build_options | ( | void * | user_context | ) |

Definition at line 321 of file vulkan_extensions.h.

References Halide::Runtime::Internal::Vulkan::build_options_lock, and user_context.

## ◆ halide_vulkan_set_alloc_config()

WEAK void halide_vulkan_set_alloc_config | ( | const char * | n | ) |

Definition at line 326 of file vulkan_extensions.h.

References Halide::Runtime::Internal::Vulkan::alloc_config_lock.

## ◆ halide_vulkan_get_alloc_config()

WEAK const char * halide_vulkan_get_alloc_config | ( | void * | user_context | ) |

Definition at line 331 of file vulkan_extensions.h.

References Halide::Runtime::Internal::Vulkan::alloc_config_lock, and user_context.